#
# spec file for package python-xdg
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python-xdg
%define         _name pyxdg
Summary:        Python library to use freedesktop.org specifications
Version:        0.19
Release:        27.1
# FIXME: on new upstream version (> 0.19), change <= in Obsoletes to <
License:        LGPL-2.1+
Group:          Development/Libraries/Python
Url:            http://freedesktop.org/Software/pyxdg
Source:         %{_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  python-devel
Provides:       python-pyxdg = %{version}
# <= for now, as the packman package named python-pyxdg is for 0.19 too
Obsoletes:      python-pyxdg < %{version}
%py_requires
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
python-xdg (PyXDG) is a python library to use freedesktop.org
specifications.

%prep
%setup -q -n %{_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_usr}"
%fdupes %{buildroot}/%{python_sitelib}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING README TODO
%{python_sitelib}/*.egg-info
%{python_sitelib}/xdg

%changelog
* Tue Oct 18 2011 vuntz@opensuse.org
- Add Provides/Obsoletes for python-pyxdg, which is the name of the
  package in Packman.
* Wed Jan 27 2010 vuntz@opensuse.org
- Update to version 0.19:
  + IniFile.py: add support for trusted desktop files
  + DesktopEntry.py: Support spec version 1.0, deb#563660
  + MimeType.py: Fix parsing of in memory data, deb#563718
  + DesktopEntry.py: Fix constructor, deb#551297, deb#562951,
    deb#562952
* Thu Dec 17 2009 vuntz@opensuse.org
- Update to version 0.18:
  + DesktopEntry.py: Add getMimeTypes() method, correctly returning
    strings
  + DesktopEntry.py: Deprecated getMimeType() returning list of regex
  + Menu.py: Add support for XDG_MENU_PREFIX
  + Mime.py: Add get_type_by_contents()
* Sun Aug  9 2009 coolo@novell.com
- use new python macros
* Fri May 22 2009 vuntz@novell.com
- Update to version 0.17:
  + Menu.py: Python <= 2.3 compatibility fix
  + DesktopEntry.py: Fix wrong indention
- Drop python-xdg-indentation.patch: fixed upstream.
- Use fdupes.
* Tue Dec  2 2008 riggwelter@opensuse.org
- Fix indentation problem in DesktopEntry
* Fri Oct 24 2008 lrupp@suse.de
- update to 0.16
  + IconTheme.py: Add more directories to the pixmap path
  + IniFile.py: Fix saving of relative filenames
  + IniFile.py, DesktopEntry.py: Fix __cmp__ method
  + IniFile.py, IconTheme.py: Better error handling
- avoid self-provides
- remove provides/obsoletes for non existing package
- cleanup in %%%%install is not necessary
* Fri Jul 25 2008 mauro@suse.de
- initial SUSE package
